+++
title = "S4.7 Active low pins should be designated using a bar above the symbol name"
+++

Rather than selecting the _active low_ graphical pin style, active low pins should be designated using a bar above the pin name.

This provides a cleaner look for the schematic.

To place a line above the pin text, add curly brackets {} around the name, and prefix with the (`~`) character. In case of a pin name where only a part of it is
active low, and hence, not all of it needs a bar above, e.g. `\~{SPD_LED}/GPIO2`.

If the pin name given by the manufacturer includes an active low prefix or suffix, it should be removed when adding the bar above it
to avoid negating it twice. For example for `nRESET`, use `~{RESET}`.